<?php

add_action('admin_menu', 'flexiblecf_menu');

/*
*	Menu Registration and Admin page
*	All the HTML and anything else required for an admin User to access the options
*
*/
function flexiblecf_menu() {
	// add_options_page('Flexible Contact Form Settings', 'Flexible Contact Form', 'manage_options', 'flexiblecf', 'flexible_contact_form_options');
	add_submenu_page('options-general.php', 'Flexible Contact Form Settings', 'Flexible Contact Form' , 'manage_options', 'flexiblecf', 'flexible_contact_form_options');
	}
function flexible_contact_form_options() {
	if (!current_user_can('manage_options'))  {
		wp_die( __('You do not have sufficient permissions to access this page.') );
	}
	global $wpdb;
	?>						
<script>
(function($){
	$(function(){
	})
})(jQuery);
</script>
<div id="left" style="float:left;width:200px">
<center><h3>Add Field</h3></center>
<form class="add_new_field" method="post" style="margin-left:40px;">
			<ul style="padding-bottom:10px">
			<li rel="text" class="add_new_picker">Text</li>
			<li rel="email" class="add_new_picker">Email</li>
			<li rel="password" class="add_new_picker">Password</li>
			<li rel="textarea" class="add_new_picker">Textarea</li>
			<li rel="checkbox" class="add_new_picker">Checkbox</li>
			<li rel="radio" class="add_new_picker">Radio</li>
			<li rel="dropdown" class="add_new_picker">Dropdown</li>
			<li rel="dropdown_multi" class="add_new_picker">Multiple Dropdown</li>
			<li rel="file" class="add_new_picker">File</li>
			<li rel="date" class="add_new_picker">Date</li>
			<li rel="slider" class="add_new_picker">Slider</li>
			<li rel="location" class="add_new_picker">Location</li></ul>
						<input id="add_new_enabled" type="checkbox" name="enabled" value="1"><label for="add_new_enabled">Enabled</label>
						<input type="checkbox" name="required" value="1" id="add_new_required"><label for="add_new_required">Required</label><br>
						<label for="new_field">Field Name</label><input type="text" id="new_field" name="new_field"><br>
						<textarea name="field_options" id="field_options" class="defaultText" title="Write the options.
[ Each line represents new Radio/Checkbox/etc.. ]" style="display: none;width:100%;height:100px;"></textarea>
						<input type="button" value="Add Field" id="btn_add_new" class="button "><br>
						<div id="add_new_error" class="errorbox cornered" style="display: none;"></div>
			</form>
			<div id="left_secondary">
			<center><h3>Other</h3>
			<input id="btn_save" type="button" class="button-primary" value="Update Data"/><br/>
			<input id="edit_settings" class="button"  type="button" value="Edit Settings"/><br/>
			<input id="reload_page" class="button" type="button" value="Reload Page" /><br/></center>
			</div>
</div>
<div id="left_2" style="float:left;width:800px">
<center><h3>Manage Fields</h3></center>
<form class="settings" method="post">
<div id="display_fields">
<?php reload_fields(); ?>
</div>
</form>
</div>
<?php }
/*
*	Ajax Update Requests hook and function
*/
add_action('wp_ajax_update_flexi', 'update_data');

function update_data(){
global $wpdb;
$wpdb->query('SET NAMES utf8');
$wpdb->query('SET CHARACTER_SET utf8');

$enabled = $_POST["enabled"];
$field_type = $_POST["field_type"];
$alias = $_POST["alias"];
$required = $_POST["required"];
$field_name = $_POST["field_name"];
$flexible_choices = $_POST["flexible_choices"];
if ($_POST["alias"] != ""){
$file = 0;
foreach($alias as $alia) {
echo $field_type[$alia]."|";
$enable = '0';
$require = '0';
if ($enabled[$alia] == 'on'){
$enable = '1';
}
if ($required[$alia] == 'on'){
$require = '1';
}

if ($field_type[$alia] != 'subject'){
$continue = true;
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_type ='".$field_type[$alia]."' WHERE flexible_alias ='".$alia."'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_enabled ='".$enable."' WHERE flexible_alias ='".$alia."'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_req ='".$require."' WHERE flexible_alias ='".$alia."'");
}
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_field_name ='".$field_name[$alia]."' WHERE flexible_alias ='".$alia."'");
}
}
$result = $_REQUEST["form_fields"];
if (is_array($result)){
$i = 0;
foreach($result as $value) {

$i++;
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_order='".$i."' WHERE flexible_alias='".$value."'");
}
}
exit;
}
/*
* Reload Fields Ajax Request and Hook..
*/
add_action('wp_ajax_reload_fields', 'reload_fields');
function reload_fields(){ 
global $wpdb;
?>

<table style="margin: 0 auto;" id="form_fields">
						<tr id="table_head" class="nodrop nodrag">
						<td>Order</td>
						<td>Enabled</td>
						<td>Field Name</td>
						<td>Field Type</td>
						<td>Special Options</td>
						<td>Required</td>
						<td>Actions</td>						
						</tr>
<?php $fields = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."flexible ORDER BY flexible_order ASC");
	foreach($fields as $field){
		$field_name = $field->flexible_field_name;
		$enabled = $field->flexible_enabled;
		$type = $field->flexible_type;
		$alias = $field->flexible_alias;
		$required = $field->flexible_req;
		$order = $field->flexible_order;
		$options = $field->flexible_choices;
		switch($type){
		case 'subject': ?>
			<tr id="<?php echo $alias; ?>">
				<td class="dragHandle">&nbsp;</td>
				<td>Yes</td>
				<td>
				<input type="text" name="field_name[<?php echo $alias; ?>]" value="<?php echo $field_name; ?>"></td>
				<td><?php echo $type; ?></td>
				<td><center><a href="#" class="update_special" rel="<?php echo $alias; ?>">Edit</a></center></td>
				<td>Yes
				<input type="hidden" name="field_type[<?php echo $alias; ?>]" value="subject">
				<input type="hidden" value="<?php echo $alias; ?>" name="alias[<?php echo $alias;?>]"></td>
				<td><del><span style="color:#990000">Delete</span></del></td>
			</tr>
<?php	break;
		case "checkbox":
		case "dropdown":
		case "dropdown_multi":
		case "radio": ?>
			<tr id="<?php echo $alias;?>">
			<td class="dragHandle">&nbsp;</td>
			<td><input type="checkbox" id="enabled[]" name="enabled[<?php echo $alias ;?>]" <?php if ($enabled == 1){echo 'checked';} ?>></td>
			<td>
			<input type="text" name="field_name[<?php echo $alias;?>]" value="<?php echo $field_name;?>"></td>
			<td>
			<select id="field_type[]" name="field_type[<?php echo $alias;?>]" style="width:100px;">
			<option value="checkbox" <?php if ($type == "checkbox"){ echo 'SELECTED';}?>>Checkbox</option>
			<option value="radio" <?php if ($type == "radio"){ echo 'SELECTED';}?>>Radio</option>
			<option value="dropdown" <?php if ($type == "dropdown"){ echo 'SELECTED';}?>>Dropdown</option>
			<option value="dropdown_multi" <?php if ($type == "dropdown_multi"){ echo 'SELECTED';}?>>Dropdown Multiple</option>
			<td>
			<center><a href="#" class="update_special" rel="<?php echo $alias; ?>">Edit</a></center>
			</td>
			</td>
			<td><input type="checkbox" id="required[]" name="required[<?php echo $alias ;?>]" <?php if ($required == 1){echo 'checked';} ?>>
			<input type="hidden" value="<?php echo $alias ;?>" name="alias[<?php echo $alias;?>]"></td>
			<td><a href="#" class="ajax-links" rel="<?php echo $alias;?>" style="text-decoration:none;"><span style="color:#990000">Delete</span></a></td>
			</tr>
<?php	break;
		default:?>
			<tr id="<?php echo $alias;?>">
			<td class="dragHandle">&nbsp;</td>
			<td><input type="checkbox" id="enabled[]" name="enabled[<?php echo $alias;?>]" <?php if ($enabled == 1){echo 'checked';} ?>></td>
			<td>
			<input type="text" name="field_name[<?php echo $alias;?>]" value="<?php echo $field_name;?>"></td>
			<td><select id="field_type[]" name="field_type[<?php echo $alias;?>]" style="width:100px;">
			<?php if ($type != 'file' && $type != 'slider' && $type != 'location'){ ?>
			<option value="text" <?php if ($type == "text"){ echo 'SELECTED';}?>>Text</option>
			<option value="email" <?php if ($type == "email"){ echo 'SELECTED';}?>>Email</option>
			<option value="password" <?php if ($type == "password"){ echo 'SELECTED';}?>>Password</option>
			<option value="textarea" <?php if ($type == "textarea"){ echo 'SELECTED';}?>>Textarea</option>
			<option value="date" <?php if ($type == "date"){ echo 'SELECTED';}?>>Date</option>
			<?php }
			if ($type == 'file'){ ?>
			<option value="file" <?php if ($type == "file"){ echo 'SELECTED';}?>>File</option>							
			<?php }
			if ($type == 'slider'){ ?>
			<option value="slider" <?php if ($type == "slider"){ echo 'SELECTED';}?>>Slider</option>							
			<?php }
			if ($type == 'location'){ ?>
			<option value="location" <?php if ($type == "location"){ echo 'SELECTED';}?>>Location</option>							
			<?php } ?>
			</select></td>
			<td><center><a href="#" class="update_special" rel="<?php echo $alias; ?>">Edit</a></center></td>
			<td><input type="checkbox" id="required[]" name="required[<?php echo $alias ;?>]" <?php if ($required == 1){echo 'checked';} ?>>
			<input type="hidden" value="<?php echo $alias ;?>" name="alias[<?php echo $alias;?>]"></td>
			<td><a href="#" class="ajax-links" rel="<?php echo $alias;?>" style="text-decoration:none;"><span style="color:#990000">Delete</span></a></td>
			</tr>
<?php	break;
		}
	} ?>
</table>
<?php
if (isset($_POST['action'])){
exit;
}
}
/*
*	Ajax Delete Field Requests hook and function - ajax/delete.php
*/
add_action('wp_ajax_delete_field', 'delete_field');
function delete_field(){
	global $wpdb;
	$type = $wpdb->get_var($wpdb->prepare("SELECT flexible_type FROM ".$wpdb->prefix."flexible WHERE flexible_alias='".$_POST['d']."'"));
	$wpdb->query("DELETE FROM ".$wpdb->prefix."flexible WHERE flexible_alias='".$_POST['d']."'");
	if ($type == "file"){
		$wpdb->query("DELETE FROM ".$wpdb->prefix."flexible_file_settings WHERE flexible_id='".$_POST['d']."'");
	}
	if ($type == "slider"){
		$wpdb->query("DELETE FROM ".$wpdb->prefix."flexible_slider_settings WHERE flexible_id='".$_POST['d']."'");
	}
	if ($type == "location"){
		$wpdb->query("DELETE FROM ".$wpdb->prefix."flexible_geolocation_settings WHERE flexible_id='".$_POST['d']."'");
	}
	if ($type == "date"){
		$wpdb->query("DELETE FROM ".$wpdb->prefix."flexible_date_settings WHERE flexible_id='".$_POST['d']."'");
	}
	exit;
}
/*
*	Special Options Ajax Requests Hook and Function - ajax/special_options.php
*/
add_action('wp_ajax_special_options', 'special_options');
function special_options(){
global $wpdb;
$mode = $_POST["mode"];
if ($mode == 'get'){
$options = $wpdb->get_var($wpdb->prepare("SELECT flexible_choices FROM ".$wpdb->prefix."flexible WHERE flexible_alias='".$_POST['fid']."'"));
echo $options;
}elseif($mode == 'update'){
$wpdb->query("UPDATE ".$wpdb->prefix."flexible SET flexible_choices ='".trim($_POST['opts'])."' WHERE flexible_alias ='".$_POST['fid']."'");
}elseif($mode == 'type'){
$options = $wpdb->get_var($wpdb->prepare("SELECT flexible_type FROM ".$wpdb->prefix."flexible WHERE flexible_alias='".$_POST['fid']."'"));
echo $options;
}
exit;
}
/*
*	Special Options File Ajax Requests Hook and Function - ajax/special_options_file.php
*/
add_action('wp_ajax_special_options_file', 'special_options_file');
function special_options_file(){
global $wpdb;
$field = $_POST["fid"];
$mode = $_POST["mode"];
if ($mode == 'show'){
$settings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."flexible_file_settings WHERE flexible_id='".$field."' ");
foreach ($settings as $setting){
$extensions = $setting->flexible_file_ext;
$limit = $setting->flexible_file_size;
}
$page = "<table>
<tr><td><label for='extensions'>Exensions allowed: </label></td><td><input id='extensions' name='extensions' value='".$extensions."' style='width:500px;' /></td></tr>
<tr><td><label for='size_limit'>Maximum File Size Limit in Bytes</label></td><td><input id='size_limit' name='size_limit' value='".$limit."' style='width:200px;' /></td></tr>
<tr><td colspan='2'><p style='font-size:10px;'>Leave any field empty to set it to unlimited.</td></tr></table>";
echo $page;
}elseif($mode == 'update'){
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_file_settings SET flexible_file_ext='".$_POST['extensions']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_file_settings SET flexible_file_size='".$_POST['maxsize']."' WHERE flexible_id='".$field."' ");
}
exit;
}

/*
*	Special Options Slider Ajax Requests Hook and Function - ajax/special_options_slider.php
*/
add_action('wp_ajax_special_options_slider', 'special_options_slider');
function special_options_slider(){
global $wpdb;
$field = $_POST["fid"];
$mode = $_POST["mode"];

if ($mode == 'show'){
$settings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."flexible_slider_settings WHERE flexible_id='".$field."' ");
foreach ($settings as $setting){
$min = $setting->slider_min;
$max = $setting->slider_max;
$value = $setting->slider_value;
$step = $setting->slider_step;
$prefix = $setting->slider_prefix;
$range_min = $setting->slider_value_min;
$range_max = $setting->slider_value_max;
if ($setting->slider_display == 1){
$display= 'checked=\'checked\'';
}
if ($setting->slider_range == 1){
$range= 'checked=\'checked\'';
}
}
$page = "<table>
<tr><td><label for='value'>Default Value: </label></td><td><input id='value' name='value' value='".$value."' style='width:500px;' /></td></tr>
<tr><td><label for='min'>Minimum Value: </label></td><td><input id='min' name='min' value='".$min."' style='width:500px;' /></td></tr>
<tr><td><label for='max'>Maximum Value: </label></td><td><input id='max' name='max' value='".$max."' style='width:500px;' /></td></tr>
<tr><td><label for='step'>Step: </label></td><td><input id='step' name='step' value='".$step."' style='width:500px;' /></td></tr>
<tr><td><label for='prefix'>Slider Prefix: </label></td><td><input id='prefix' name='prefix' value='".$prefix."' style='width:500px;' /></td></tr>
<tr><td colspan='2'><input type='checkbox' name='display' id='display' value='1' ".$display." /><label for='display'>Display Value</label></td></tr><tr></tr>
<tr><td colspan='2'><input type='checkbox' name='range' id='range' value='1' ".$range." /><label for='range'>Enable Range Slider</label></td></tr>
<tr><td><label for='range_min'>Range Low Value: </label></td><td><input id='range_min' name='range_min' value='".$range_min."' style='width:500px;' /></td></tr>
<tr><td><label for='range_max'>Range Max Value: </label></td><td><input id='range_max' name='range_max' value='".$range_max."' style='width:500px;' /></td></tr>
<tr><td colspan='2'><p style='font-size:10px;'>Please complete all necessary fields.</td></tr></table>";
echo $page;
}elseif($mode == 'update'){
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_value='".$_POST['value']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_min='".$_POST['min']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_max='".$_POST['max']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_step='".$_POST['step']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_prefix='".$_POST['prefix']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_range='".$_POST['range']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_value_min='".$_POST['range_min']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_value_max='".$_POST['range_max']."' WHERE flexible_id='".$field."' ");
if ( $_POST['display'] == 1){ $display = 1; }else{ $display = 0;}
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_display='".$display."' WHERE flexible_id='".$field."' ");

if ( $_POST['range'] == 1){ $range = 1; }else{ $range = 0;}
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_slider_settings SET slider_range='".$range."' WHERE flexible_id='".$field."' ");
}
exit;
};
/*
*	Special Options Date Ajax Requests Hook and Function - ajax/special_options_date.php
*/
add_action('wp_ajax_special_options_date', 'special_options_date');
function special_options_date(){
global $wpdb;
$field = $_POST["fid"];
$mode = $_POST["mode"];

if ($mode == 'show'){
$settings = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."flexible_date_settings WHERE flexible_id='".$field."' ");
$default_text = $settings->default_text;
$first_day = $settings->first_day;?>
<table>
<tr><td><label for='default_text'>Default Text: </label></td><td><input id='default_text' name='default_text' value='<?php echo $default_text; ?>' style='width:500px;' /></td></tr>
<tr><td colspan='2'><input type="checkbox" id="first_day" name="first_day" value="1" <?php if ($first_day == '1'){ echo ' checked';}?>><label for="first_day"> First day starts from Monday</label></td></tr>
<tr><td colspan='2'><p style='font-size:10px;'>Please complete all ncessary fields.</td></tr>
<?php
echo $page;
exit;
}elseif($mode == 'update'){
$default_text_updated = $_POST['default_text'];
if ($_POST['first_day'] == 1){ $first_day_updated = 1; }else{ $first_day_updated = 0; }
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_date_settings SET default_text='".$default_text_updated."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_date_settings SET first_day='".$first_day_updated."' WHERE flexible_id='".$field."' ");
exit;
}
}
/*
*	Special Options Geolocation Ajax Requests Hook and Function - ajax/special_options_geolocation.php
*/
add_action('wp_ajax_special_options_geolocation', 'special_options_geolocation');
function special_options_geolocation(){
global $wpdb;
$field = $_POST["fid"];
$mode = $_POST["mode"];
if ($mode == 'show'){
$settings = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."flexible_geolocation_settings WHERE flexible_id='".$field."' ");
foreach ($settings as $setting){
$button_text = $setting->loc_button_text;
$location_width = $setting->loc_width;
$location_height = $setting->loc_height;
$background_color = $setting->loc_background_color;
$border = $setting->loc_border;
$border_radius = $setting->loc_border_radius;
$padding = $setting->loc_padding;
}
$page = "<table>
<tr><td><label for='btn_text'>Default Button Text: </label></td><td><input id='btn_text' name='btn_text' value='".$button_text."' style='width:500px;' /></td></tr>
<tr><td><label for='location_width'>Default Map Width: </label></td><td><input id='location_width' name='location_width' value='".$location_width."' style='width:500px;' /></td></tr>
<tr><td><label for='location_height'>Default Map Height: </label></td><td><input id='location_height' name='location_height' value='".$location_height."' style='width:500px;' /></td></tr>
<tr><td><label for='background_color'>Default Background Color: </label></td><td><input id='background_color' name='background_color' value='".$background_color."' style='width:500px;' /></td></tr>
<tr><td><label for='border'>Default Border Style: </label></td><td><input id='border' name='border' value='".$border."' style='width:500px;' /></td></tr>
<tr><td><label for='border_radius'>Default Border Radius: </label></td><td><input id='border_radius' name='border_radius' value='".$border_radius."' style='width:500px;' /></td></tr>
<tr><td><label for='padding'>Default Padding (In px): </label></td><td><input id='padding' name='padding' value='".$padding."' style='width:500px;' /></td></tr>
<tr><td colspan='2'><p style='font-size:10px;'>Please complete all fields.</td></tr>";
echo $page;
}elseif($mode == 'update'){
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_button_text='".$_POST['btn_text']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_width='".$_POST['width']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_height='".$_POST['height']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_background_color='".$_POST['backg_color']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_border='".$_POST['border']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_border_radius='".$_POST['borderRadius']."' WHERE flexible_id='".$field."' ");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_geolocation_settings SET loc_padding='".$_POST['padding']."' WHERE flexible_id='".$field."' ");
}
exit;
}
/*
*	Ajax Settings Requests hook and function - ajax/settings.php
*/
add_action('wp_ajax_save_settings', 'save_settings');
function save_settings(){
global $wpdb;
if ($_POST['mode'] == 'update'){
if ($_POST['delete_deactivate'] == 1){ $delete_deactivate = 1; }else{ $delete_deactivate = 0; }
if ($_POST['enable_tinymce_button'] == 1){ $enable_tinymce_button = 1; }else{ $enable_tinymce_button = 0; }
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET email='".$_POST["email_account"]."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET small_desc='".$_POST["small_desc"]."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET title  ='".$_POST["title"]."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET submit_button='".$_POST["button_value"]."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET captcha='".$_POST["captcha"]."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET thanks='".$_POST["thanks"]."' WHERE id='1'"); 
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET from_a='".$_POST["from_a"]."' WHERE id='1'"); 
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET page_title ='".$_POST['page_title']."' WHERE id='1'");
$wpdb->query("UPDATE ".$wpdb->prefix."flexible_settings SET delete_deactivate='".$delete_deactivate."' WHERE id='1'");
update_option('flexicf_enable_button' , $enable_tinymce_button );
update_option('flexicf_jquery_css' , trim($_POST['jquery_css']));
/*
*/
exit;
}elseif ($_POST['mode'] == 'show'){ ?>
<form id="settings">
	<table style="width:50%;margin: 0 auto;">
	<?php
	$row = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."flexible_settings WHERE id='1'");
	?>
	<tr><td>Recipient Email:</td><td><input type="text" name="email_account" value="<?php echo $row->email;?>"></td></tr>
	<tr><td>Page Title:</td><td><input type="text" name="page_title" value="<?php echo $row->page_title;?>"></td></tr>
	<tr><td>Title:</td><td><input type="text" name="title" value="<?php echo $row->title;?>"></td></tr>
	<tr><td>Small Description:</td><td><input type="text" name="small_desc" value="<?php echo $row->small_desc;?>"></td></tr>
	<tr><td>Button Title:</td><td><input type="text" name="button_value" value="<?php echo $row->submit_button;?>"></td></tr>
	<tr><td>Enable CAPTCHA:</td><td><input type="radio" name="captcha" value="1" <?php if ($row->captcha == 1){ echo ' checked';}?>>On <input type="radio" name="captcha" value="0" <?php if ($row->captcha == 0){ echo ' checked';}?>>Off</td></tr>
	<tr><td>Default Sender:</td><td><input type="text" name="from_a" value="<?php echo $row->from_a;?>"></td></tr>			
	<tr><td style="vertical-align:middle;">Successful Message:</td><td><textarea name="thanks" class="text cornered"><?php echo $row->thanks;?></textarea></td></tr>
	<tr><td colspan='2'><input type="checkbox" id="delete_deactivate" name="delete_deactivate" value="1" <?php if ($row->delete_deactivate == 1){ echo ' checked';}?>><label for="delete_deactivate"> Delete Data After Deactivation</label></td></tr>
	<tr><td colspan='2'><input type="checkbox" id="enable_tinymce_button" name="enable_tinymce_button" value="1" <?php if (get_option('flexicf_enable_button') == '1'){ echo ' checked';}?>><label for="enable_tinymce_button"> Enable TinyMCE Button</label></td></tr>
	<tr><td>Custom jQuery UI CSS</td><td><input type="text" name="jquery_css" id="jquery_css" value="<?php echo get_option('flexicf_jquery_css');?>"></td></tr>
	</table></form> <?php
	exit;
}
}
/*
*	Ajax Save Requests hook and function - ajax/save.php
*/
add_action('wp_ajax_save_flexi', 'save_data');
function save_data(){
global $wpdb;
$type= $_POST["type"];
$error = '';
$empty_options = "Write the options.
[ Each line represents new Radio/Checkbox/etc.. ]";

$find_last_order = $wpdb->get_var("SELECT flexible_order FROM ".$wpdb->prefix."flexible ORDER BY flexible_order DESC");
$last = $find_last_order + 1;
if ($_POST["settings_hidden"] == 1){

}else{
$allow = TRUE;
if ($_POST["new_field"] == ''){
$error = 'Field name is blank';
$allow = FALSE;
}
if ($_POST["field_options"] == $empty_options && ($_POST["type"] == "checkbox" || $_POST["type"] == "radio" || $_POST["type"] == "dropdown" || $_POST["type"] == "dropdown_multi" )){
if ($error != ''){ $error = $error."<br>Please use at least one line"; $allow= FALSE;}else{ $error = "Please use at least one line";$allow= FALSE;}
}
if  ($type == "undefined"){
if ($error != ''){ $error = $error."<br>Please select the type of field"; $allow= FALSE;}else{ $error = "Please Select the type of field";$allow= FALSE;}
}
if ($allow == TRUE){
switch ($type){
case "checkbox":
case "radio":
case "dropdown":
case "dropdown_multi":
if ($_POST["field_options"] != $empty_options){
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible ( `flexible_field_name` , `flexible_enabled` , `flexible_type` ,`flexible_alias` , `flexible_req`,`flexible_order`, `flexible_choices` )
VALUES ( '".$_POST["new_field"]."', '".$_POST["enabled"]."', '".$_POST["type"]."', NULL , '".$_POST["required"]."','".$last."','".$_POST["field_options"]."' );");
}
break;
default:
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible ( `flexible_field_name` , `flexible_enabled` , `flexible_type` ,`flexible_alias` , `flexible_req`,`flexible_order` )
VALUES ( '".$_POST["new_field"]."', '".$_POST["enabled"]."', '".$_POST["type"]."', NULL , '".$_POST["required"]."','".$last."' );");
break;
}
$latest_flexible_alias = $wpdb->get_var($wpdb->prepare("SELECT flexible_alias FROM ".$wpdb->prefix."flexible ORDER BY flexible_alias DESC"));
if ($_POST["type"] == 'file'){
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible_file_settings (flexible_id , flexible_file_ext , flexible_file_size) VALUES ('".$latest_flexible_alias."', '' , '200000' );");
}
if ($_POST["type"] == 'slider'){
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible_slider_settings (flexible_id , slider_min , slider_max , slider_value, slider_step, slider_display, slider_prefix, slider_range, slider_value_min, slider_value_max ) VALUES ('".$latest_flexible_alias."', '0' , '100' , '50', '1', '1', '', '0', '25', '75'  );");
}
if ($_POST["type"] == 'location'){
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible_geolocation_settings (flexible_id , loc_button_text , loc_width , loc_height, loc_background_color, loc_border, loc_border_radius, loc_padding ) 
			VALUES ('".$latest_flexible_alias."', 'Search' , '500px' , '200px', '#fff', '1px solid #ccc', '10', '10'  );");
}
if ($_POST["type"] == 'date'){
$wpdb->query("INSERT INTO ".$wpdb->prefix."flexible_date_settings (flexible_id , default_text , first_day ) 
			VALUES ('".$latest_flexible_alias."', '' , '1' );");
}

}else{
echo $error;
}
}
exit;
}
?>